| Home | Libraries | People | FAQ | More

## Function template replace_last

boost::algorithm::replace_last — Replace last algorithm.

## Synopsis

    template<typename SequenceT, typename Collection1T, typename Collection2T>
      void replace_last(SequenceT & Input, const Collection1T & Search,
                        const Collection2T & Format);

## Description

Replace the last match of the search string in the input with the format string. Input sequence is modified in-place.

Parameters

Format

  A substitute string

Input

  An input string

Search

  A substring to be searched for

| Copyright © 2002-2004 Pavol Droba